## com.baidubce.services.bos.model
Class PutObjectResponse

    java.lang.Object
      com.baidubce.services.bos.model.PutObjectResponse

    public class PutObjectResponse

extends Object

Contains the data returned by Baidu Bos from the `putObject` operation. Use this request to access information about the new object created from the `putObject` request, such as its ETag and optional version ID.

Constructor Summary
`PutObjectResponse()`

Method Summary
`String` `getETag()` Gets the ETag value for the newly created object.
`void` `setETag(String eTag)` Sets the ETag value for the new object that was created from the associated `putObject` request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutObjectResponse

    public PutObjectResponse()

Method Detail

### getETag

    public String getETag()

  Gets the ETag value for the newly created object.

  Returns:
    The ETag value for the new object.

### setETag

    public void setETag(String eTag)

  Sets the ETag value for the new object that was created from the associated `putObject` request.

  Parameters:
    `eTag` - The ETag value for the new object.

Copyright © 2016. All rights reserved.